Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.services.stats
Interface IStatsRecorderFlags

All Known Implementing Classes:
  SettingsBackedStatsRecorderFlagsImpl, StatsRecorderFlagsImpl

    public interface IStatsRecorderFlags

Interface for objects conveying a bundle of boolean flags configuring what IStatsRecorder events should propogate.

Version:
  $Revision: 1.1.2.1 $ $Date: 2005/07/15 21:19:07 $

Method Summary
`boolean` | `isRecordChannelAddedToLayout()` Returns true if we should record when a channel is added to a layout; false otherwise.
`boolean` | `isRecordChannelDefinitionModified()` Returns true if we should record when a channel definition is modified.
`boolean` | `isRecordChannelDefinitionPublished()` Returns true if we should record when a channel definition is published, false otherwise.
`boolean` | `isRecordChannelDefinitionRemoved()` Returns true iff we should record when a channel definition is removed.
`boolean` | `isRecordChannelInstantiated()` Returns whether we should record when a channel is instantiated.
`boolean` | `isRecordChannelMovedInLayout()` Returns whether we should record a channel being moved within a layout.
`boolean` | `isRecordChannelRemovedFromLayout()` Returns true if we should record a channel being removed from a layout, false otherwise.
`boolean` | `isRecordChannelRendered()` Returns true if we should record when a channel is rendered, false otherwise.
`boolean` | `isRecordChannelTargeted()` Returns true if we should record when a channel is targetted, false otherwise.
`boolean` | `isRecordChannelUpdatedInLayout()` Returns true if we should record when a channel is updated within a layout, false otherwise.
`boolean` | `isRecordFolderAddedToLayout()` Returns true if we should record when a folder is added to a layout, false otherwise.
`boolean` | `isRecordFolderMovedInLayout()` Returns true if we should record that a folder is moved in a layout, false otherwise.
`boolean` | `isRecordFolderRemovedFromLayout()` Returns true iff we should record a folder being removed from a layout.
`boolean` | `isRecordFolderUpdatedInLayout()` Returns true if we should record a folder being updated within a layout, false otherwise.
`boolean` | `isRecordLogin()` Returns true iff we should record a user logging in.
`boolean` | `isRecordLogout()` Returns true iff we should record a user logging out.
`boolean` | `isRecordSessionCreated()` Returns true if we should record a session being created, false otherwise.
`boolean` | `isRecordSessionDestroyed()` Return true iff we should record a session being destroyed.

Method Detail

### isRecordChannelAddedToLayout

    boolean isRecordChannelAddedToLayout()

  Returns true if we should record when a channel is added to a layout; false otherwise.

  Returns:
    Returns the recordChannelAddedToLayout.

### isRecordChannelDefinitionModified

    boolean isRecordChannelDefinitionModified()

  Returns true if we should record when a channel definition is modified.

  Returns:
    Returns whether we should record when a channel definition is modified.

### isRecordChannelDefinitionPublished

    boolean isRecordChannelDefinitionPublished()

  Returns true if we should record when a channel definition is published, false otherwise.

  Returns:
    Returns true iff we should record when a channel definition is published.

### isRecordChannelDefinitionRemoved

    boolean isRecordChannelDefinitionRemoved()

  Returns true iff we should record when a channel definition is removed.

  Returns:
    Returns true iff we should record when a channel definition is removed.

### isRecordChannelInstantiated

    boolean isRecordChannelInstantiated()

  Returns whether we should record when a channel is instantiated.

  Returns:
    Returns whether we should record when a channel is instantiated.

### isRecordChannelMovedInLayout

    boolean isRecordChannelMovedInLayout()

  Returns whether we should record a channel being moved within a layout.

  Returns:
    Returns true iff we should record a channel being moved within a layout.

### isRecordChannelRemovedFromLayout

    boolean isRecordChannelRemovedFromLayout()

  Returns true if we should record a channel being removed from a layout, false otherwise.

  Returns:
    true if we should record a channel being removed from a layout, false otherwise.

### isRecordChannelRendered

    boolean isRecordChannelRendered()

  Returns true if we should record when a channel is rendered, false otherwise.

  Returns:
    Returns true iff we should record when a channel is rendered.

### isRecordChannelTargeted

    boolean isRecordChannelTargeted()

  Returns true if we should record when a channel is targetted, false otherwise.

  Returns:
    Returns true iff we should record when a channel is targetted.

### isRecordChannelUpdatedInLayout

    boolean isRecordChannelUpdatedInLayout()

  Returns true if we should record when a channel is updated within a layout, false otherwise.

  Returns:
    Returns true iff we should record when a channel is updated in a layout.

### isRecordFolderAddedToLayout

    boolean isRecordFolderAddedToLayout()

  Returns true if we should record when a folder is added to a layout, false otherwise.

  Returns:
    Returns true iff we should record when a folder is added to a layout.

### isRecordFolderMovedInLayout

    boolean isRecordFolderMovedInLayout()

  Returns true if we should record that a folder is moved in a layout, false otherwise.

  Returns:
    Returns true iff we should record that a folder is moved in a layout.

### isRecordFolderRemovedFromLayout

    boolean isRecordFolderRemovedFromLayout()

  Returns true iff we should record a folder being removed from a layout.

  Returns:
    Returns true if a folder is removed from a layout.

### isRecordFolderUpdatedInLayout

    boolean isRecordFolderUpdatedInLayout()

  Returns true if we should record a folder being updated within a layout, false otherwise.

  Returns:
    true iff we should record a folder being updated within a layout.

### isRecordLogin

    boolean isRecordLogin()

  Returns true iff we should record a user logging in.

  Returns:
    true iff we should record a user logging in.

### isRecordLogout

    boolean isRecordLogout()

  Returns true iff we should record a user logging out.

  Returns:
    true iff we should record a user logging out.

### isRecordSessionCreated

    boolean isRecordSessionCreated()

  Returns true if we should record a session being created, false otherwise.

  Returns:
    true iff we should record when a session is created.

### isRecordSessionDestroyed

    boolean isRecordSessionDestroyed()

  Return true iff we should record a session being destroyed.

  Returns:
    true iff we should record a session being destroyed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD